backend/controllers/SiteController.php
<?php
 
namespace backend\controllers;

use common\components\EpatController;
use common\components\EpatModel;
use Yii;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;
use yii\web\Session;
use yii\filters\AccessControl;
use yii\web\Controller;
use backend\models\LoginForm;
use yii\filters\VerbFilter;
use backend\models\PsPosts;
use backend\models\PostDetails;
use backend\models\UploadForm;
use backend\models\search\PsPostsSearch;
use yii\helpers\Url;
use yii\web\UploadedFile;
use yii\validators\FileValidator;
use backend\models\UploadImage;
use backend\models\UploadDocument;
use backend\models\AppAttachments;
use backend\models\DefLocation;
use backend\models\search\DefLocationSearch;
use backend\models\Members;
use backend\models\search\MembersSearch;
use backend\models\Countries;
use backend\models\Cities;
use backend\models\ProtectedPagesUsers;
use backend\models\search\ProtectedPagesUsersSearch;


//use yii\vendor\semantics3\lib\Semantics3\products;
/**
 * Site controller
 */
class SiteController extends EpatController {

    public $pageHeading = null;
    public $pageCaption = null;

    /**
     * @inheritdoc
     */
    public function behaviors() {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['delete', 'logout', 'index', 'faq', 'manage-faq', 'testimonial', 'manage-testimonial', 'p-category', 'manage-p-category', 'product', 'manage-product', 'welcome-note', 'aboutus', 'manage-aboutus', 'vision', 'manage-vision', 'board-director', 'manage-board-director', 'team-management', 'manage-team-management', 'contactus', 'manage-contactus', 'project', 'manage-project', 'add-person-contact', 'client', 'manage-client', 'services', 'manage-services', 'products', 'manage-products', 'projects', 'manage-projects', 'clients', 'manage-clients', 'affiliation', 'manage-affiliation', 'brands', 'manage-brands', 'partner', 'manage-partner', 'events-gallery', 'manage-events-gallery', 'news', 'manage-news', 'download', 'manage-download', 'ctestimonial', 'manage-ctestimonial', 'test-library', 'service', 'manage-defservice', 'error'],
                'rules' => [
                    [
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['get'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

// ======================================================= //
// ======================= Index  ======================== //
// ======================================================= //

    public function actionIndex() {
        return $this->render('index');
    }

// ======================================================= //
// ======================= About Us  ======================== //
// ======================================================= //
    public function actionAboutus() {
        $model = new PsPosts();
        
        if (isset($_REQUEST['id'])) {
            $model = $model::findOne($_REQUEST['id']);
            
        }

        if (isset($_POST['detail'])) {

            $content['title']=$_REQUEST['posted']['title'];
            $content['detail'] = $_REQUEST['detail'];
            $title =$_REQUEST['posted']['title'];
            $type = 'about-us';

            savePosts($model, $content, $title, $type);

            return $this->redirect(['manage-aboutus']);
        }

        return $this->render('aboutus', ['model' => $model]);
    }

    public function actionManageAboutus() {
        $searchModel = new PsPostsSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams, 'about-us');
        return $this->render('manage-aboutus', [
                    'dataProvider' => $dataProvider,
                    'searchModel' => $searchModel]
        );
    }

    public function actionVideo() {
        $model = new PsPosts();

        if (isset($_REQUEST['id'])) {
            $id = $_REQUEST['id'];
            $model = $model::findOne($id);
        }

        if (isset($_POST['posted'])) {

            $content = $_REQUEST['posted'];
            $title = '';
            $type = 'video';

            $modelSave = savePosts($model, $content, $title, $type);

            return $this->redirect(['manage-video']);
        }

        return $this->render('video', [
                    'model' => $model
        ]);
    }

    public function actionManageVideo() {
        $searchModel = new PsPostsSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams, 'video');
        return $this->render('manage-video', [
                    'dataProvider' => $dataProvider,
                    'searchModel' => $searchModel
                        ]
        );
    }

// ======================================================= //
// ==================== Applications  ==================== //
// ======================================================= //

    public function actionApplications() {
        $model = new PsPosts();
        $applcAttachment = new AppAttachments();
        $table = NULL;
        $attachmentModel = new UploadImage();

        $attachmentArray = [];
        if (isset($_REQUEST['id'])) {
            $id = $_REQUEST['id'];
            $model = $model::findOne($_REQUEST['id']);
            $attachmentArray = EpatController::getAttachments($id, 'applications', '1');
            $table = 'app_attachments';
        }

        if (isset($_POST['posted'])) {
            // dd($_REQUEST);
            $content = $_REQUEST['posted'];
            $title = $content['title'];
            $content['detail'] = $_REQUEST['detail'];
            $type = 'applications';

            $model = savePosts($model, $content, $title, $type);
            if (isset($_POST['UploadImage'])) {
                $applcAttachment->resourceid = $model->id;
                $applcAttachment->is_image = 1;
                $attachmentModel->imageFiles = UploadedFile::getInstances($attachmentModel, 'imageFiles');
                $attachmentModel->imageTitle = isset($_POST['UploadImage']) ? $_POST['UploadImage']['imageTitle'] : [];
                EpatController::addAttachments($attachmentModel, $applcAttachment, 'applications');
            }

            return $this->redirect(['manage-applications']);
        }
        return $this->render('applications', ['model' => $model,
                    'attachmentArray' => $attachmentArray,
                    'table' => $table]);
    }

    public function actionManageApplications() {
        $searchModel = new PsPostsSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams, 'applications');
        return $this->render('manage-applications', [
                    'dataProvider' => $dataProvider,
                    'searchModel' => $searchModel]
        );
    }

    public function actionFebrications() {
        // dd($_REQUEST);
        $model = new PsPosts();
        $applcAttachment = new AppAttachments();
        $table = NULL;
        $attachmentModel = new UploadImage();

        $attachmentArray = [];
        if (isset($_REQUEST['id'])) {
            $id = $_REQUEST['id'];
            $model = $model::findOne($_REQUEST['id']);
            $attachmentArray = EpatController::getAttachments($id, 'febrications', '1');
            $table = 'app_attachments';
        }

        if (isset($_POST['posted'])) {
            // dd($_REQUEST);
            $content = $_REQUEST['posted'];
            $title = $content['title'];
            $content['detail'] = $_REQUEST['detail'];
            $type = 'febrications';

            $model = savePosts($model, $content, $title, $type);
            if (isset($_POST['UploadImage'])) {
                $applcAttachment->resourceid = $model->id;
                $applcAttachment->is_image = 1;
                $attachmentModel->imageFiles = UploadedFile::getInstances($attachmentModel, 'imageFiles');
                $attachmentModel->imageTitle = isset($_POST['UploadImage']) ? $_POST['UploadImage']['imageTitle'] : [];
                EpatController::addAttachments($attachmentModel, $applcAttachment, 'febrications');
            }

            return $this->redirect(['manage-febrications']);
        }
        return $this->render('febrications', ['model' => $model,
                    'attachmentArray' => $attachmentArray,
                    'table' => $table]);
    }

    public function actionManageFebrications() {
        $searchModel = new PsPostsSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams, 'febrications');
        return $this->render('manage-febrications', [
                    'dataProvider' => $dataProvider,
                    'searchModel' => $searchModel]
        );
    }


    public function actionSolarSystems() {
        // dd($_REQUEST);
        $model = new PsPosts();
        $applcAttachment = new AppAttachments();
        $table = NULL;
        $attachmentModel = new UploadImage();

        $attachmentArray = [];
        if (isset($_REQUEST['id'])) {
            $id = $_REQUEST['id'];
            $model = $model::findOne($_REQUEST['id']);
            $attachmentArray = EpatController::getAttachments($id, 'solarsystems', '1');
            $table = 'app_attachments';
        }

        if (isset($_POST['posted'])) {
            // dd($_REQUEST);
            $content = $_REQUEST['posted'];
            $title = $content['title'];
            $content['detail'] = $_REQUEST['detail'];
            $type = 'solarsystems';

            $model = savePosts($model, $content, $title, $type);
            if (isset($_POST['UploadImage'])) {

backend/views/site/add-projects.php
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\bootstrap\ActiveField;
use app\components\EpatController;
use yii\web\View;
use backend\components\multiupload\MultiUploadWidget;
use backend\components\multiupload\MultiUploadWidgetDocument;
//use backend\models\PsPosts;
/* @var $this yii\web\View */
/* @var $model app\models\hr\HrDefallowance */
/* @var $form yii\widgets\ActiveForm */
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Add Project";
}
?>
<div class="hr-basicinfo-form">
    <?php
    $form = ActiveForm::begin([
                'options' => [
                    'enctype' => 'multipart/form-data',
                    'class' => 'form-horizantal form-control myform',
                    'role' => 'from',
                    'style' => 'border:none'
                ]
    ]);
    ?>
    <div class="row">
        <div class="col-xs-12">
            <div class="widget-box">
                <div class="widget-header">
                    <h4 class="widget-title">Project</h4>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="col-sm-12" id="province_for_hide">
                                <div class="row form-group">
                                    <label class="col-xs-2">Province:</label>
                                    <div class="col-xs-5">
                                        <?php
                                        $province_list = pCategoryList('provinces');
                                        // dd($area_list);
                                        $province = (isset($_REQUEST['id'])) ? $model->province : NULL;
                                        // dd($_REQUEST['id']);

                                        echo Html::dropDownList('posted[province]', $province, $province_list, [
                                            'prompt' => 'Select Province', 'class' => ' col-sm-12 chosen-select', 'id' => 'provinces'
                                                ]
                                        );
                                        ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12" id="city_for_hide">
                                <div class="row form-group">
                                    <label class="col-xs-2">City:</label>
                                    <div class="col-xs-5" id="cities">
                                        <?php
                                        $cities_list = pCategoryList('cities');
                                        // dd($area_list);
                                        $city = (isset($_REQUEST['id'])) ? $model->city : NULL;
                                        // dd($_REQUEST['id']);

                                        echo Html::dropDownList('posted[city]', $city, $cities_list, [
                                            'prompt' => 'Select City', 'class' => ' col-sm-12 chosen-select'
                                                ]
                                        );
                                        ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="row form-group">
                                    <label class="col-xs-2">Title:</label>
                                    <div class="col-xs-5">
                                        <?php
                                        $product = (isset($_REQUEST['id'])) ?
                                                decodePost($model, 'title') :
                                                NULL;
                                        echo Html::textInput('posted[title]', $product, ['class' => 'input-sm col-sm-12']
                                        );
                                        ?>
                                    </div> 
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-2">Description:</label>
                                    <div class="col-xs-10">
                                        <div class="wysiwyg-editor" id="editor1"></div>
                                        <?php
                                        $detail = (isset($_REQUEST['id'])) ?
                                                decodePost($model, 'detail') :
                                                NULL;
                                        echo Html::hiddenInput('detail', $detail, ['class' => 'col-sm-12 detail_clx']
                                        );
                                        ?>
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <div class="col-xs-12">
                                        <?php
                                        if (isset($attachmentArray)) {
                                            echo MultiUploadWidget::widget([
                                                'form' => $form,
                                                'options' => [
                                                    'attachmentArray' => $attachmentArray
                                                ]
                                            ]);
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-xs-12">
                                        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success pull-right' : 'btn btn-primary pull-right']) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>
</div>


<?php
    $script = <<<EOD
      $('body').on('change','#main_areas',function(){
          var main_area_id = $('#main_areas').val();
          console.log(main_area_id);
          if(main_area_id == 8)    //  World Wide
          {
            $('#country_for_hide').css('display','none');
            $('#province_for_hide, #city_for_hide').css('display','block');
          }
          if(main_area_id == 9)    // Nation Wide
          {
            $('#province_for_hide, #city_for_hide').css('display','none');
            $('#country_for_hide').css('display','block');
          }
  });

  // ======================== //

  $('body').on('change','#provinces',function(){
          var province_id = $('#provinces').val();
          console.log(province_id);
          $.ajax({
              'type' : 'GET',
              'dataType' : 'html',
              'url' : 'ajax-requests',
              'data' : {province:province_id},
              'success' : function(data){
                  $('#cities').html(data);
                  $('select').chosen();
            },
            'error' : function(){
                console.log('Error Occured...');
            }
        });
  });
  
        
EOD;
$this->registerJs($script, $this::POS_END)
?>

backend/views/site/clients.php
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\bootstrap\ActiveField;
use app\components\EpatController;
use app\models\PsPosts;
use yii\web\View;
use backend\models\DefLocation;
use backend\components\multiupload\MultiUploadWidget;
use yii\helpers\ArrayHelper;
/* @var $this yii\web\View */
/* @var $model app\models\hr\HrDefallowance */
/* @var $form yii\widgets\ActiveForm */
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Add Clients";
}
?>
<div class="hr-basicinfo-form">
    <?php
    $form = ActiveForm::begin([
                'options' => [
                    'enctype' => 'multipart/form-data',
                    'class' => 'form-horizantal form-control myform',
                    'role' => 'from',
                    'style' => 'border:none'
                ]
    ]);
    ?>
    <div class="row">
        <div class="col-xs-12">
            <div class="widget-box">
                <div class="widget-header">
                    <h4 class="widget-title">Clients</h4>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="row form-group">
                                    <label class="col-xs-2">Client Name:</label>
                                    <div class="col-xs-5">
                                        <?php
                                        $product = (isset($_REQUEST['id'])) ?
                                                decodePost($model, 'name') :
                                                NULL;
                                        echo Html::textInput('posted[name]', $product, ['class' => 'input-sm col-sm-12']
                                        );
                                        ?>
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <div class="col-xs-12">
                                        <?php
                                        if (isset($attachmentArray)) {
                                            echo MultiUploadWidget::widget([
                                                'form' => $form,
                                                'single' => true,
                                                'options' => [
                                                    'attachmentArray' => $attachmentArray
                                                ]
                                            ]);
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-xs-12">
                                        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success pull-right' : 'btn btn-primary pull-right']) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>
</div>

backend/views/site/countries.php
<?php
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\bootstrap\ActiveField;
use app\components\EpatController;
use backend\models\PsPosts;
use yii\web\View;
use yii\helpers\ArrayHelper;
/* @var $this yii\web\View */
/* @var $model app\models\hr\HrDefallowance */
/* @var $form yii\widgets\ActiveForm */
$this->title = "Add Country";
$this->params['breadcrumbs'][] = $this->title;
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Country";
}

?>
<div class="aboutus-form">
    <?php
    $form = ActiveForm::begin([
                'options' => [
                    'enctype' => 'multipart/form-data',
                    'class' => 'form-horizantal form-control myform',
                    'role' => 'from',
                    'style' => 'border:none'
                ]
    ]);
    ?>
    <div class="row">
        <div class="col-xs-12">
            <div class="widget-box">
                <div class="widget-header">
                    <h4 class="widget-title">Country</h4>
                </div>
                   
                <div class="widget-body">
                    <div class="widget-main">
                        <div class=row>
                            <div class="col-sm-12 form-group">
                                <label class="col-xs-2">Main Area:</label>
                                <div class="col-xs-5">
                                    <?php
                                    $area_list = pCategoryList('main_areas');
                                    // dd($area_list);
                                    $main_area = (isset($_REQUEST['id'])) ? $model->main_area : NULL;
                                    // dd($_REQUEST['id']);

                                    echo Html::dropDownList('posted[main_area]', $main_area, $area_list, [
                                        'prompt' => 'Select Main Area', 'class' => ' col-sm-12 chosen-select'
                                            ]
                                    );
                                    ?>
                                </div>
                            </div>
                            <div class="col-sm-12 form-group">
                                <label class="col-xs-2">Country:</label>
                                <div class="col-xs-5">
                                    <?php
                                    $country = (isset($_REQUEST['id'])) ?
                                            decodePost($model, 'country') :
                                            NULL;
                                    echo Html::textInput('posted[country]', $country, ['class' => 'input-sm col-sm-12']
                                    );
                                    ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-xs-12">
                                    <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success pull-right' : 'btn btn-primary pull-right']) ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>
</div>

backend/views/site/manage-clients.php
<?php
use yii\helpers\Html;
use yii\grid\GridView;
/* @var $this yii\web\View */
/* @var $searchModel app\models\hr\search\HrPersonalinfoSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
$this->title = "Manage Clients";
$this->params['breadcrumbs'][] = $this->title;
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Manage Clients";
}
?>
<div class="hr-faq-index">
    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <p>
        <?= Html::a('Create', ['clients'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'title',
                'header' => 'Name',
                'value' => function($data) {
                  return (decodePost($data,'name') != NULL) ? decodePost($data,'name'): "-";
                 },
            ],
			
			
            ['class' => 'yii\grid\ActionColumn',
				'template'=>'{update}{delete}',
				'buttons'=>[
					'update'=>function($url,$model,$key){
						$url = ['site/clients','id'=>$model->id];
						return HTML::a('<span class="fa fa-fw fa-edit fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','update Client'),
						]);
					},
					'delete'=>function($url,$model,$key){
						$url = ['site/delete','id'=>$key];
						return Html::a('<span class="fa fa-fw fa-remove text-red fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','delete Client'),
                                                    'data-confirm' => Yii::t('yii', 'Are You Sure??')
						]);
					},
				],
			],
        ],
    ]); ?>
</div>

backend/views/site/manage-febrications.php
<?php
use yii\helpers\Html;
use yii\grid\GridView;
use backend\models\PsPosts;
/* @var $this yii\web\View */
/* @var $searchModel app\models\hr\search\HrPersonalinfoSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
$this->title = "Manage Febrications";
$this->params['breadcrumbs'][] = $this->title;
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Manage Febrications";
}
?>
<div class="hr-faq-index">
    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <p>
        <?= Html::a('Create', ['febrications'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'title',
                'header' => 'Title',
                'value' => function($data) {
                  return (decodePost($data,'title') != NULL) ? decodePost($data,'title'): "-";
                 },
            ],
			 [
                'attribute' => 'detail',
                'header' => 'Detail',
                'format' =>'html',
                'value' => function($data) {
                  return (decodePost($data,'detail') != NULL) ? (decodePost($data,'detail')): "-";
                 },
            ],
			
            ['class' => 'yii\grid\ActionColumn',
				'template'=>'{update}{delete}',
				'buttons'=>[
					'update'=>function($url,$model,$key){
						$url = ['site/febrications','id'=>$model->id];
						return HTML::a('<span class="fa fa-fw fa-edit fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','update Application'),
						]);
					},
					'delete'=>function($url,$model,$key){
						$url = ['site/delete','id'=>$key];
						return Html::a('<span class="fa fa-fw fa-remove text-red fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','delete Application'),
                                                    'data-confirm' => Yii::t('yii', 'Are You Sure??')
						]);
					},
				],
			],
        ],
    ]); ?>
</div>

backend/views/site/manage-solar-systems.php
<?php
use yii\helpers\Html;
use yii\grid\GridView;
use backend\models\PsPosts;
/* @var $this yii\web\View */
/* @var $searchModel app\models\hr\search\HrPersonalinfoSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
$this->title = "Manage Solar System";
$this->params['breadcrumbs'][] = $this->title;
if (isset($this->context)) {
    $this->context->pageHeading = "CMS";
    $this->context->pageCaption = "Manage Solar System";
}
?>
<div class="hr-faq-index">
    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <p>
        <?= Html::a('Create', ['solar-systems'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'title',
                'header' => 'Title',
                'value' => function($data) {
                  return (decodePost($data,'title') != NULL) ? decodePost($data,'title'): "-";
                 },
            ],
			 [
                'attribute' => 'detail',
                'header' => 'Detail',
                'format' =>'html',
                'value' => function($data) {
                  return (decodePost($data,'detail') != NULL) ? (decodePost($data,'detail')): "-";
                 },
            ],
			
            ['class' => 'yii\grid\ActionColumn',
				'template'=>'{update}{delete}',
				'buttons'=>[
					'update'=>function($url,$model,$key){
						$url = ['site/solar-systems','id'=>$model->id];
						return HTML::a('<span class="fa fa-fw fa-edit fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','update Application'),
						]);
					},
					'delete'=>function($url,$model,$key){
						$url = ['site/delete','id'=>$key];
						return Html::a('<span class="fa fa-fw fa-remove text-red fa-lg"></span>',$url,[
							'title'=>Yii::t('yii','delete Application'),
                                                    'data-confirm' => Yii::t('yii', 'Are You Sure??')
						]);
					},
				],
			],
        ],
    ]); ?>
</div>